package test;

import org.daml.rdf.jena.mem.*;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.common.*;
import java.util.Vector;

public class TestDyn {

    public static void main (String args[])
	throws Exception
    {
	//org.daml.jena.DynamicModel model = new org.daml.jena.DynamicModel();
	Model model = new DynamicSourceModelMem();

	String uri = "http://www.daml.org/experiment/ontology/beta/example1";
	model.read(uri);
	System.out.println("Loaded "+uri);
	System.out.println("Size = "+ model.size());
	//System.out.println("urls= "+ model.getLoadedURLs());

	StmtIterator si0 = model.listStatements();
	Vector v = new Vector();
	
	while (si0.hasNext()) v.add(si0.next());
	StmtIterator si = new StmtIteratorImpl(v.iterator(), null);

	while (si.hasNext()) {
	    Statement s = si.next();
	    RDFNode o = s.getObject();
	    System.out.println(o);
	    System.out.println(o.getClass());
	    if (o instanceof Resource) {
		StmtIterator si2 = ((Resource)o).listProperties();
		//printIterator(si2);
	    }
	}

	System.out.println("Size = "+ model.size());
	//System.out.println("urls= "+ model.getLoadedURLs());
	    
    }

    public static void printIterator(StmtIterator i) 
	throws RDFException
    {	
	System.out.println("[");
	while (i.hasNext()) {
	    System.out.println(i.next());
	}
	System.out.println("]");
    }    
}
