package org.daml.rdf.jena.common;

import org.daml.rdf.jena.model.Source;

/**
 * An implementation of a Source class.
 *
 * @author der
 * @version $Id: SourceImpl.java,v 1.1.1.1 2003/03/26 20:35:40 drager Exp $
 */
public class SourceImpl extends java.lang.Object implements Source
{

    /**
     * The URI of the source.
     */
    protected String uri;


    public SourceImpl(String uri)
    {
	super();
	this.uri = uri;
    }


    public String getURI()
    {
	return uri;
    }

    public boolean equals(java.lang.Object object)
    {
	if ((object instanceof SourceImpl) &&
	    (uri == ((SourceImpl)object).getURI())) {
	    return true;	
	} else {
	    return false;
	}
    }


    public String toString()
    {
	return uri;
    }
	

}
